#ifndef TIMESWITCHERFORM_H
#define TIMESWITCHERFORM_H

#include <QWidget>
#include "device/TimeSwitcher.h"

namespace Ui {
class TimeSwitcherForm;
}

class TimeSwitcherForm : public QWidget
{
    Q_OBJECT

public:
    explicit TimeSwitcherForm(QWidget *parent = nullptr);
    ~TimeSwitcherForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);
    void displayDeviceCommandOnForm(QJsonObject command);

private slots:
    void on_tmSwiButt_clicked();

private:
    Ui::TimeSwitcherForm *ui;
};

#endif // TIMESWITCHERFORM_H
